* {
  margin: 0;
  padding: 0;
  box-sizing: border-box;
}

body {
  font-family: "Poppins", sans-serif;
  background: linear-gradient(135deg, #F8F9FE 0%, #E7E7FF 100%);
  color: #000;
  min-height: 100vh;
  display: flex;
  flex-direction: column;
}

main {
  display: flex;
  justify-content: center;
  flex: 1;
  width: 100%;
}

.container-navbar {
  width: 100%;
  height: 70px;
}

.navbar {
  display: flex;
  justify-content: space-between;
  align-items: center;
  height: 100%;
  padding: 0 20px;
}

.nama {
  color: #48197F;
  font-size: 20px;
  align-items: center;
  padding: 10px;
  font-weight: bold;
}

.nav-link {
  display: flex;
  font-size: 20px;
  gap: 25px;
  padding: 10px;
  font-weight: bold;
}

.nav-link li {
  list-style: none;
  margin-left: auto;
  align-items: center;
}

.nav-link li a {
  text-decoration: none;
  color: #48197F;
}

footer {
  background: #48197F;
  width: 100%;
  height: 45px;
}

footer p {
  display: flex;
  color: #fff;
  font-weight: 500;
  padding: 10px;
  height: 100%;
  justify-content: center;
  align-items: center;
}

.main-content {
  width: 100%;
  height: auto;
  margin: auto;
  padding: 10px 65px;
}

.content-wrapper {
  display: grid;
  grid-template-columns: 1fr 1fr;
}

.timer-display {
  display: flex;
  flex-direction: column;
  justify-content: center;
  text-align: center;
  height: 500px;
  padding-right: 50px;
}

.timer-title {
  font-size: 27px;
  font-weight: bold;
  margin-bottom: 30px;
}

#timer {
  font-size: 48px;
  font-weight: bold;
}

#timer-status {
  font-size: 20px;
  font-weight: bold;
  margin: 15px;
}

.timer-controls {
  margin: 5px;
}

#start-button {
  background-color: #00b894;
  color: #fff;
  border: none;
  padding: 17px 25px;
  margin-right: 10px;
  font-size: 18px;
  border-radius: 15px;
  cursor: pointer;
}

#start-button:hover {
  background-color: #019577;
}

#pause-button {
  background-color: #ff7675;
  color: #fff;
  border: none;
  padding: 17px 25px;
  margin-right: 10px;
  font-size: 18px;
  border-radius: 15px;
  cursor: pointer;
}

#pause-button:hover {
  background-color: #d63031;
}

#reset-button {
  background-color: #fdcb6e;
  color: #fff;
  border: none;
  padding: 17px 25px;
  font-size: 18px;
  border-radius: 15px;
  cursor: pointer;
}

#reset-button:hover {
  background-color: #e1b12c;
}

.preset-makanan {
  display: flex;
  flex-direction: column;
  overflow: hidden;
  height: 500px;
}

.list-makanan {
  display: flex;
  flex-direction: column;
  flex: 1;
  overflow: hidden;
}

.section-title {
  font-size: 25px;
  font-weight: bold;
  margin-bottom: 25px;
  text-align: center;
}

#tab-content {
  display: flex;
  background-color: #fff;
  border-radius: 10px;
  overflow: hidden;
  margin-bottom: 25px;
}

.tab {
  flex: 1;
  padding: 12px;
  text-align: center;
  cursor: pointer;
  font-weight: 600;
  transition: all 0.2s ease;
}

.tab-active {
  background-color: #48197F;
  color: #fff;
}

#data-category {
  display: grid;
  grid-template-columns: repeat(auto-fit, minmax(150px, 1fr));
  gap: 20px;
  flex: 1;
  overflow-y: auto;
  padding: 5px;
  align-content: start;
}

.info-kategori {
  font-size: 18px;
  font-weight: bold;
  margin-top: 110px;
  text-align: center;
}

.item-preset {
  background-color: #f8f8f8;
  border-radius: 15px;
  padding: 15px;
  text-align: center;
  border: 1px solid #000;
  height: 170px;
  cursor: pointer;
  overflow: hidden;
}

.item-preset .info {
  display: flex;
  flex-direction: column;
  justify-content: center;
  align-items: center;
  height: 100%;
}

.item-preset:hover {
  background-color: #48197F;
  color: #fff;
  border: 1px solid #000;
  transition: 0.2s ease;
}

.iconPlus {
  font-size: 30px;
  margin: 10px;
  color: #48197F;
}

.item-preset:hover .iconPlus {
  color: #fff;
}

.info h4 {
  margin-top: 10px;
  margin-bottom: 5px;
}

.info-item {
  display: flex;
  flex-direction: column;
  align-items: center;
  justify-content: center;
  height: 100%;
}

.desc-info {
  font-size: 15px;
  color: #000;
  margin-bottom: 15px;
}

.item-preset:hover .desc-info {
  color: #fff;
}

.time-info {
  display: inline-flex;
  align-items: center;
  background-color: #E7E7FF;
  color: #48197F;
  padding: 8px 20px;
  border-radius: 15px;
  font-weight: bold;
  font-size: 14px;
  transition: all 0.3s ease;
}

.info p {
  padding-top: 10px;
  height: 40px;
}

/* style buat about page */
.main-content-about {
  max-width: 1200px;
  height: auto;
  margin: 10px 0;
}

.main-content-about h2 {
  margin-top: 20px;
  font-size: 24px;
}

.about {
  text-align: center;
  margin-bottom: 20px;
}

.desc-about {
  padding-top: 20px;
  font-size: 20px;
  text-align: justify;
}

.list {
  padding-top: 10px;
  margin-left: 20px;
}

.list li {
  margin-bottom: 5px;
  font-size: 20px;
}